Loading...
Searching...
No Matches
ISGradientNormSqrd< GradScheme > Struct Template Reference

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions

template<typename Accessor>
static Accessor::ValueType | result (const Accessor &grid, const Coord &ijk)
template<typename StencilT>
static StencilT::ValueType | result (const StencilT &stencil)

## Static Public Attributes

static const DScheme | FD = BIAS_SCHEME<GradScheme>::FD
static const DScheme | BD = BIAS_SCHEME<GradScheme>::BD

## Member Function Documentation

## result() [1/2]

template<BiasedGradientScheme GradScheme>
template<typename Accessor>

Accessor::ValueType result | ( | const Accessor & | grid,
|  | const Coord & | ijk )

inline static

## result() [2/2]

template<BiasedGradientScheme GradScheme>
template<typename StencilT>

StencilT::ValueType result | ( | const StencilT & | stencil | ) |

inline static

## Member Data Documentation

## BD

template<BiasedGradientScheme GradScheme>

const DScheme BD = BIAS_SCHEME<GradScheme>::BD

static

## FD

template<BiasedGradientScheme GradScheme>

const DScheme FD = BIAS_SCHEME<GradScheme>::FD

static